using System;
using System.CodeDom;

namespace OOCodeDOM
{
	public class Type: CodeTypeDeclaration
	{
		public Type (string n) :
			base(n)
		{
		}

		public static Type operator + (Type t, CodeTypeMember m)
		{
			t.Members.Add(m);

			return t;
		}
	}
}
